// Code generated by protoc-gen-go. DO NOT EDIT.
// source: service.proto

package mascot_registry_pb

import (
	fmt "fmt"
	proto "github.com/golang/protobuf/proto"
	context "golang.org/x/net/context"
	grpc "google.golang.org/grpc"
	math "math"
)

// Reference imports to suppress errors if they are not otherwise used.
var _ = proto.Marshal
var _ = fmt.Errorf
var _ = math.Inf

// This is a compile-time assertion to ensure that this generated file
// is compatible with the proto package it is being compiled against.
// A compilation error at this line likely means your copy of the
// proto package needs to be updated.
const _ = proto.ProtoPackageIsVersion2 // please upgrade the proto package

type Empty struct {
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *Empty) Reset()         { *m = Empty{} }
func (m *Empty) String() string { return proto.CompactTextString(m) }
func (*Empty) ProtoMessage()    {}
func (*Empty) Descriptor() ([]byte, []int) {
	return fileDescriptor_a0b84a42fa06f626, []int{0}
}

func (m *Empty) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_Empty.Unmarshal(m, b)
}
func (m *Empty) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_Empty.Marshal(b, m, deterministic)
}
func (m *Empty) XXX_Merge(src proto.Message) {
	xxx_messageInfo_Empty.Merge(m, src)
}
func (m *Empty) XXX_Size() int {
	return xxx_messageInfo_Empty.Size(m)
}
func (m *Empty) XXX_DiscardUnknown() {
	xxx_messageInfo_Empty.DiscardUnknown(m)
}

var xxx_messageInfo_Empty proto.InternalMessageInfo

type ErrorReply struct {
	Success              bool     `protobuf:"varint,1,opt,name=success,proto3" json:"success,omitempty"`
	ErrorNumber          int64    `protobuf:"varint,2,opt,name=error_number,json=errorNumber,proto3" json:"error_number,omitempty"`
	ErrorDescription     string   `protobuf:"bytes,3,opt,name=error_description,json=errorDescription,proto3" json:"error_description,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *ErrorReply) Reset()         { *m = ErrorReply{} }
func (m *ErrorReply) String() string { return proto.CompactTextString(m) }
func (*ErrorReply) ProtoMessage()    {}
func (*ErrorReply) Descriptor() ([]byte, []int) {
	return fileDescriptor_a0b84a42fa06f626, []int{1}
}

func (m *ErrorReply) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_ErrorReply.Unmarshal(m, b)
}
func (m *ErrorReply) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_ErrorReply.Marshal(b, m, deterministic)
}
func (m *ErrorReply) XXX_Merge(src proto.Message) {
	xxx_messageInfo_ErrorReply.Merge(m, src)
}
func (m *ErrorReply) XXX_Size() int {
	return xxx_messageInfo_ErrorReply.Size(m)
}
func (m *ErrorReply) XXX_DiscardUnknown() {
	xxx_messageInfo_ErrorReply.DiscardUnknown(m)
}

var xxx_messageInfo_ErrorReply proto.InternalMessageInfo

func (m *ErrorReply) GetSuccess() bool {
	if m != nil {
		return m.Success
	}
	return false
}

func (m *ErrorReply) GetErrorNumber() int64 {
	if m != nil {
		return m.ErrorNumber
	}
	return 0
}

func (m *ErrorReply) GetErrorDescription() string {
	if m != nil {
		return m.ErrorDescription
	}
	return ""
}

type Device struct {
	Mascotclass          string      `protobuf:"bytes,1,opt,name=mascotclass,proto3" json:"mascotclass,omitempty"`
	Name                 *DeviceName `protobuf:"bytes,2,opt,name=name,proto3" json:"name,omitempty"`
	XXX_NoUnkeyedLiteral struct{}    `json:"-"`
	XXX_unrecognized     []byte      `json:"-"`
	XXX_sizecache        int32       `json:"-"`
}

func (m *Device) Reset()         { *m = Device{} }
func (m *Device) String() string { return proto.CompactTextString(m) }
func (*Device) ProtoMessage()    {}
func (*Device) Descriptor() ([]byte, []int) {
	return fileDescriptor_a0b84a42fa06f626, []int{2}
}

func (m *Device) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_Device.Unmarshal(m, b)
}
func (m *Device) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_Device.Marshal(b, m, deterministic)
}
func (m *Device) XXX_Merge(src proto.Message) {
	xxx_messageInfo_Device.Merge(m, src)
}
func (m *Device) XXX_Size() int {
	return xxx_messageInfo_Device.Size(m)
}
func (m *Device) XXX_DiscardUnknown() {
	xxx_messageInfo_Device.DiscardUnknown(m)
}

var xxx_messageInfo_Device proto.InternalMessageInfo

func (m *Device) GetMascotclass() string {
	if m != nil {
		return m.Mascotclass
	}
	return ""
}

func (m *Device) GetName() *DeviceName {
	if m != nil {
		return m.Name
	}
	return nil
}

type DeviceName struct {
	Family               string   `protobuf:"bytes,1,opt,name=family,proto3" json:"family,omitempty"`
	Domain               string   `protobuf:"bytes,2,opt,name=domain,proto3" json:"domain,omitempty"`
	Identifier           string   `protobuf:"bytes,3,opt,name=identifier,proto3" json:"identifier,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *DeviceName) Reset()         { *m = DeviceName{} }
func (m *DeviceName) String() string { return proto.CompactTextString(m) }
func (*DeviceName) ProtoMessage()    {}
func (*DeviceName) Descriptor() ([]byte, []int) {
	return fileDescriptor_a0b84a42fa06f626, []int{3}
}

func (m *DeviceName) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_DeviceName.Unmarshal(m, b)
}
func (m *DeviceName) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_DeviceName.Marshal(b, m, deterministic)
}
func (m *DeviceName) XXX_Merge(src proto.Message) {
	xxx_messageInfo_DeviceName.Merge(m, src)
}
func (m *DeviceName) XXX_Size() int {
	return xxx_messageInfo_DeviceName.Size(m)
}
func (m *DeviceName) XXX_DiscardUnknown() {
	xxx_messageInfo_DeviceName.DiscardUnknown(m)
}

var xxx_messageInfo_DeviceName proto.InternalMessageInfo

func (m *DeviceName) GetFamily() string {
	if m != nil {
		return m.Family
	}
	return ""
}

func (m *DeviceName) GetDomain() string {
	if m != nil {
		return m.Domain
	}
	return ""
}

func (m *DeviceName) GetIdentifier() string {
	if m != nil {
		return m.Identifier
	}
	return ""
}

type CreateDeviceMessage struct {
	Devices              []*Device `protobuf:"bytes,1,rep,name=devices,proto3" json:"devices,omitempty"`
	ServerName           string    `protobuf:"bytes,2,opt,name=server_name,json=serverName,proto3" json:"server_name,omitempty"`
	XXX_NoUnkeyedLiteral struct{}  `json:"-"`
	XXX_unrecognized     []byte    `json:"-"`
	XXX_sizecache        int32     `json:"-"`
}

func (m *CreateDeviceMessage) Reset()         { *m = CreateDeviceMessage{} }
func (m *CreateDeviceMessage) String() string { return proto.CompactTextString(m) }
func (*CreateDeviceMessage) ProtoMessage()    {}
func (*CreateDeviceMessage) Descriptor() ([]byte, []int) {
	return fileDescriptor_a0b84a42fa06f626, []int{4}
}

func (m *CreateDeviceMessage) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_CreateDeviceMessage.Unmarshal(m, b)
}
func (m *CreateDeviceMessage) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_CreateDeviceMessage.Marshal(b, m, deterministic)
}
func (m *CreateDeviceMessage) XXX_Merge(src proto.Message) {
	xxx_messageInfo_CreateDeviceMessage.Merge(m, src)
}
func (m *CreateDeviceMessage) XXX_Size() int {
	return xxx_messageInfo_CreateDeviceMessage.Size(m)
}
func (m *CreateDeviceMessage) XXX_DiscardUnknown() {
	xxx_messageInfo_CreateDeviceMessage.DiscardUnknown(m)
}

var xxx_messageInfo_CreateDeviceMessage proto.InternalMessageInfo

func (m *CreateDeviceMessage) GetDevices() []*Device {
	if m != nil {
		return m.Devices
	}
	return nil
}

func (m *CreateDeviceMessage) GetServerName() string {
	if m != nil {
		return m.ServerName
	}
	return ""
}

type DeleteDeviceMessage struct {
	Devices              []*DeviceName `protobuf:"bytes,1,rep,name=devices,proto3" json:"devices,omitempty"`
	XXX_NoUnkeyedLiteral struct{}      `json:"-"`
	XXX_unrecognized     []byte        `json:"-"`
	XXX_sizecache        int32         `json:"-"`
}

func (m *DeleteDeviceMessage) Reset()         { *m = DeleteDeviceMessage{} }
func (m *DeleteDeviceMessage) String() string { return proto.CompactTextString(m) }
func (*DeleteDeviceMessage) ProtoMessage()    {}
func (*DeleteDeviceMessage) Descriptor() ([]byte, []int) {
	return fileDescriptor_a0b84a42fa06f626, []int{5}
}

func (m *DeleteDeviceMessage) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_DeleteDeviceMessage.Unmarshal(m, b)
}
func (m *DeleteDeviceMessage) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_DeleteDeviceMessage.Marshal(b, m, deterministic)
}
func (m *DeleteDeviceMessage) XXX_Merge(src proto.Message) {
	xxx_messageInfo_DeleteDeviceMessage.Merge(m, src)
}
func (m *DeleteDeviceMessage) XXX_Size() int {
	return xxx_messageInfo_DeleteDeviceMessage.Size(m)
}
func (m *DeleteDeviceMessage) XXX_DiscardUnknown() {
	xxx_messageInfo_DeleteDeviceMessage.DiscardUnknown(m)
}

var xxx_messageInfo_DeleteDeviceMessage proto.InternalMessageInfo

func (m *DeleteDeviceMessage) GetDevices() []*DeviceName {
	if m != nil {
		return m.Devices
	}
	return nil
}

type PublishServerMessage struct {
	ServerName           string   `protobuf:"bytes,1,opt,name=server_name,json=serverName,proto3" json:"server_name,omitempty"`
	Host                 string   `protobuf:"bytes,2,opt,name=host,proto3" json:"host,omitempty"`
	Port                 int64    `protobuf:"varint,3,opt,name=port,proto3" json:"port,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *PublishServerMessage) Reset()         { *m = PublishServerMessage{} }
func (m *PublishServerMessage) String() string { return proto.CompactTextString(m) }
func (*PublishServerMessage) ProtoMessage()    {}
func (*PublishServerMessage) Descriptor() ([]byte, []int) {
	return fileDescriptor_a0b84a42fa06f626, []int{6}
}

func (m *PublishServerMessage) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_PublishServerMessage.Unmarshal(m, b)
}
func (m *PublishServerMessage) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_PublishServerMessage.Marshal(b, m, deterministic)
}
func (m *PublishServerMessage) XXX_Merge(src proto.Message) {
	xxx_messageInfo_PublishServerMessage.Merge(m, src)
}
func (m *PublishServerMessage) XXX_Size() int {
	return xxx_messageInfo_PublishServerMessage.Size(m)
}
func (m *PublishServerMessage) XXX_DiscardUnknown() {
	xxx_messageInfo_PublishServerMessage.DiscardUnknown(m)
}

var xxx_messageInfo_PublishServerMessage proto.InternalMessageInfo

func (m *PublishServerMessage) GetServerName() string {
	if m != nil {
		return m.ServerName
	}
	return ""
}

func (m *PublishServerMessage) GetHost() string {
	if m != nil {
		return m.Host
	}
	return ""
}

func (m *PublishServerMessage) GetPort() int64 {
	if m != nil {
		return m.Port
	}
	return 0
}

type UnpublishServerMessage struct {
	ServerName           string   `protobuf:"bytes,1,opt,name=server_name,json=serverName,proto3" json:"server_name,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *UnpublishServerMessage) Reset()         { *m = UnpublishServerMessage{} }
func (m *UnpublishServerMessage) String() string { return proto.CompactTextString(m) }
func (*UnpublishServerMessage) ProtoMessage()    {}
func (*UnpublishServerMessage) Descriptor() ([]byte, []int) {
	return fileDescriptor_a0b84a42fa06f626, []int{7}
}

func (m *UnpublishServerMessage) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_UnpublishServerMessage.Unmarshal(m, b)
}
func (m *UnpublishServerMessage) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_UnpublishServerMessage.Marshal(b, m, deterministic)
}
func (m *UnpublishServerMessage) XXX_Merge(src proto.Message) {
	xxx_messageInfo_UnpublishServerMessage.Merge(m, src)
}
func (m *UnpublishServerMessage) XXX_Size() int {
	return xxx_messageInfo_UnpublishServerMessage.Size(m)
}
func (m *UnpublishServerMessage) XXX_DiscardUnknown() {
	xxx_messageInfo_UnpublishServerMessage.DiscardUnknown(m)
}

var xxx_messageInfo_UnpublishServerMessage proto.InternalMessageInfo

func (m *UnpublishServerMessage) GetServerName() string {
	if m != nil {
		return m.ServerName
	}
	return ""
}

type ListDevicesMessage struct {
	ServerName           string   `protobuf:"bytes,1,opt,name=server_name,json=serverName,proto3" json:"server_name,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *ListDevicesMessage) Reset()         { *m = ListDevicesMessage{} }
func (m *ListDevicesMessage) String() string { return proto.CompactTextString(m) }
func (*ListDevicesMessage) ProtoMessage()    {}
func (*ListDevicesMessage) Descriptor() ([]byte, []int) {
	return fileDescriptor_a0b84a42fa06f626, []int{8}
}

func (m *ListDevicesMessage) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_ListDevicesMessage.Unmarshal(m, b)
}
func (m *ListDevicesMessage) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_ListDevicesMessage.Marshal(b, m, deterministic)
}
func (m *ListDevicesMessage) XXX_Merge(src proto.Message) {
	xxx_messageInfo_ListDevicesMessage.Merge(m, src)
}
func (m *ListDevicesMessage) XXX_Size() int {
	return xxx_messageInfo_ListDevicesMessage.Size(m)
}
func (m *ListDevicesMessage) XXX_DiscardUnknown() {
	xxx_messageInfo_ListDevicesMessage.DiscardUnknown(m)
}

var xxx_messageInfo_ListDevicesMessage proto.InternalMessageInfo

func (m *ListDevicesMessage) GetServerName() string {
	if m != nil {
		return m.ServerName
	}
	return ""
}

type ListServersReply struct {
	Error                *ErrorReply `protobuf:"bytes,1,opt,name=error,proto3" json:"error,omitempty"`
	ServerName           []string    `protobuf:"bytes,2,rep,name=server_name,json=serverName,proto3" json:"server_name,omitempty"`
	XXX_NoUnkeyedLiteral struct{}    `json:"-"`
	XXX_unrecognized     []byte      `json:"-"`
	XXX_sizecache        int32       `json:"-"`
}

func (m *ListServersReply) Reset()         { *m = ListServersReply{} }
func (m *ListServersReply) String() string { return proto.CompactTextString(m) }
func (*ListServersReply) ProtoMessage()    {}
func (*ListServersReply) Descriptor() ([]byte, []int) {
	return fileDescriptor_a0b84a42fa06f626, []int{9}
}

func (m *ListServersReply) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_ListServersReply.Unmarshal(m, b)
}
func (m *ListServersReply) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_ListServersReply.Marshal(b, m, deterministic)
}
func (m *ListServersReply) XXX_Merge(src proto.Message) {
	xxx_messageInfo_ListServersReply.Merge(m, src)
}
func (m *ListServersReply) XXX_Size() int {
	return xxx_messageInfo_ListServersReply.Size(m)
}
func (m *ListServersReply) XXX_DiscardUnknown() {
	xxx_messageInfo_ListServersReply.DiscardUnknown(m)
}

var xxx_messageInfo_ListServersReply proto.InternalMessageInfo

func (m *ListServersReply) GetError() *ErrorReply {
	if m != nil {
		return m.Error
	}
	return nil
}

func (m *ListServersReply) GetServerName() []string {
	if m != nil {
		return m.ServerName
	}
	return nil
}

type ListDevicesReply struct {
	Error                *ErrorReply `protobuf:"bytes,1,opt,name=error,proto3" json:"error,omitempty"`
	Devices              []*Device   `protobuf:"bytes,2,rep,name=devices,proto3" json:"devices,omitempty"`
	XXX_NoUnkeyedLiteral struct{}    `json:"-"`
	XXX_unrecognized     []byte      `json:"-"`
	XXX_sizecache        int32       `json:"-"`
}

func (m *ListDevicesReply) Reset()         { *m = ListDevicesReply{} }
func (m *ListDevicesReply) String() string { return proto.CompactTextString(m) }
func (*ListDevicesReply) ProtoMessage()    {}
func (*ListDevicesReply) Descriptor() ([]byte, []int) {
	return fileDescriptor_a0b84a42fa06f626, []int{10}
}

func (m *ListDevicesReply) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_ListDevicesReply.Unmarshal(m, b)
}
func (m *ListDevicesReply) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_ListDevicesReply.Marshal(b, m, deterministic)
}
func (m *ListDevicesReply) XXX_Merge(src proto.Message) {
	xxx_messageInfo_ListDevicesReply.Merge(m, src)
}
func (m *ListDevicesReply) XXX_Size() int {
	return xxx_messageInfo_ListDevicesReply.Size(m)
}
func (m *ListDevicesReply) XXX_DiscardUnknown() {
	xxx_messageInfo_ListDevicesReply.DiscardUnknown(m)
}

var xxx_messageInfo_ListDevicesReply proto.InternalMessageInfo

func (m *ListDevicesReply) GetError() *ErrorReply {
	if m != nil {
		return m.Error
	}
	return nil
}

func (m *ListDevicesReply) GetDevices() []*Device {
	if m != nil {
		return m.Devices
	}
	return nil
}

type LocateReply struct {
	Error                *ErrorReply `protobuf:"bytes,1,opt,name=error,proto3" json:"error,omitempty"`
	ServerName           string      `protobuf:"bytes,2,opt,name=server_name,json=serverName,proto3" json:"server_name,omitempty"`
	Host                 string      `protobuf:"bytes,3,opt,name=host,proto3" json:"host,omitempty"`
	Port                 int64       `protobuf:"varint,4,opt,name=port,proto3" json:"port,omitempty"`
	XXX_NoUnkeyedLiteral struct{}    `json:"-"`
	XXX_unrecognized     []byte      `json:"-"`
	XXX_sizecache        int32       `json:"-"`
}

func (m *LocateReply) Reset()         { *m = LocateReply{} }
func (m *LocateReply) String() string { return proto.CompactTextString(m) }
func (*LocateReply) ProtoMessage()    {}
func (*LocateReply) Descriptor() ([]byte, []int) {
	return fileDescriptor_a0b84a42fa06f626, []int{11}
}

func (m *LocateReply) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_LocateReply.Unmarshal(m, b)
}
func (m *LocateReply) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_LocateReply.Marshal(b, m, deterministic)
}
func (m *LocateReply) XXX_Merge(src proto.Message) {
	xxx_messageInfo_LocateReply.Merge(m, src)
}
func (m *LocateReply) XXX_Size() int {
	return xxx_messageInfo_LocateReply.Size(m)
}
func (m *LocateReply) XXX_DiscardUnknown() {
	xxx_messageInfo_LocateReply.DiscardUnknown(m)
}

var xxx_messageInfo_LocateReply proto.InternalMessageInfo

func (m *LocateReply) GetError() *ErrorReply {
	if m != nil {
		return m.Error
	}
	return nil
}

func (m *LocateReply) GetServerName() string {
	if m != nil {
		return m.ServerName
	}
	return ""
}

func (m *LocateReply) GetHost() string {
	if m != nil {
		return m.Host
	}
	return ""
}

func (m *LocateReply) GetPort() int64 {
	if m != nil {
		return m.Port
	}
	return 0
}

func init() {
	proto.RegisterType((*Empty)(nil), "mascot_registry_pb.Empty")
	proto.RegisterType((*ErrorReply)(nil), "mascot_registry_pb.ErrorReply")
	proto.RegisterType((*Device)(nil), "mascot_registry_pb.Device")
	proto.RegisterType((*DeviceName)(nil), "mascot_registry_pb.DeviceName")
	proto.RegisterType((*CreateDeviceMessage)(nil), "mascot_registry_pb.CreateDeviceMessage")
	proto.RegisterType((*DeleteDeviceMessage)(nil), "mascot_registry_pb.DeleteDeviceMessage")
	proto.RegisterType((*PublishServerMessage)(nil), "mascot_registry_pb.PublishServerMessage")
	proto.RegisterType((*UnpublishServerMessage)(nil), "mascot_registry_pb.UnpublishServerMessage")
	proto.RegisterType((*ListDevicesMessage)(nil), "mascot_registry_pb.ListDevicesMessage")
	proto.RegisterType((*ListServersReply)(nil), "mascot_registry_pb.ListServersReply")
	proto.RegisterType((*ListDevicesReply)(nil), "mascot_registry_pb.ListDevicesReply")
	proto.RegisterType((*LocateReply)(nil), "mascot_registry_pb.LocateReply")
}

func init() { proto.RegisterFile("service.proto", fileDescriptor_a0b84a42fa06f626) }

var fileDescriptor_a0b84a42fa06f626 = []byte{
	// 572 bytes of a gzipped FileDescriptorProto
	0x1f, 0x8b, 0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x02, 0xff, 0xac, 0x55, 0x5d, 0x6f, 0xd3, 0x30,
	0x14, 0x55, 0x96, 0xae, 0x5d, 0x6f, 0x36, 0x31, 0x3c, 0x34, 0x95, 0x3e, 0x6c, 0x25, 0x42, 0x50,
	0x81, 0xd4, 0x87, 0x32, 0x24, 0x78, 0xa6, 0x7b, 0x40, 0x1a, 0x1d, 0x18, 0x21, 0x84, 0xf8, 0xa8,
	0xd2, 0xf4, 0x6e, 0xb3, 0x94, 0x2f, 0xd9, 0xee, 0xa4, 0xbe, 0xf0, 0x0b, 0x78, 0xe2, 0x17, 0xa3,
	0xd8, 0xee, 0x9a, 0xa6, 0x8e, 0x32, 0xb1, 0xbd, 0xc5, 0x37, 0xd7, 0xe7, 0x9c, 0xfb, 0x71, 0x12,
	0xd8, 0x13, 0xc8, 0xaf, 0x59, 0x88, 0x83, 0x8c, 0xa7, 0x32, 0x25, 0x24, 0x0e, 0x44, 0x98, 0xca,
	0x09, 0xc7, 0x4b, 0x26, 0x24, 0x5f, 0x4c, 0xb2, 0xa9, 0xdf, 0x82, 0xed, 0xd3, 0x38, 0x93, 0x0b,
	0xff, 0x1a, 0xe0, 0x94, 0xf3, 0x94, 0x53, 0xcc, 0xa2, 0x05, 0xe9, 0x40, 0x4b, 0xcc, 0xc3, 0x10,
	0x85, 0xe8, 0x38, 0x3d, 0xa7, 0xbf, 0x43, 0x97, 0x47, 0xf2, 0x04, 0x76, 0x31, 0xcf, 0x9b, 0x24,
	0xf3, 0x78, 0x8a, 0xbc, 0xb3, 0xd5, 0x73, 0xfa, 0x2e, 0xf5, 0x54, 0x6c, 0xac, 0x42, 0xe4, 0x25,
	0x3c, 0xd4, 0x29, 0x33, 0x14, 0x21, 0x67, 0x99, 0x64, 0x69, 0xd2, 0x71, 0x7b, 0x4e, 0xbf, 0x4d,
	0xf7, 0xd5, 0x8b, 0xd1, 0x2a, 0xee, 0xff, 0x82, 0xe6, 0x08, 0x73, 0x91, 0xa4, 0x07, 0x9e, 0x16,
	0x18, 0x46, 0x81, 0xe1, 0x6d, 0xd3, 0x62, 0x88, 0x0c, 0xa1, 0x91, 0x04, 0x31, 0x2a, 0x4e, 0x6f,
	0x78, 0x34, 0xd8, 0xac, 0x67, 0xa0, 0xb1, 0xc6, 0x41, 0x8c, 0x54, 0xe5, 0xfa, 0x3f, 0x00, 0x56,
	0x31, 0x72, 0x08, 0xcd, 0x8b, 0x20, 0x66, 0xd1, 0xc2, 0xc0, 0x9b, 0x53, 0x1e, 0x9f, 0xa5, 0x71,
	0xc0, 0x12, 0x85, 0xdd, 0xa6, 0xe6, 0x44, 0x8e, 0x00, 0xd8, 0x0c, 0x13, 0xc9, 0x2e, 0x18, 0x72,
	0x53, 0x43, 0x21, 0xe2, 0x47, 0x70, 0xf0, 0x8e, 0x63, 0x20, 0x51, 0x73, 0x7c, 0x40, 0x21, 0x82,
	0x4b, 0x24, 0x27, 0xd0, 0x9a, 0xa9, 0x40, 0x5e, 0x86, 0xdb, 0xf7, 0x86, 0xdd, 0x6a, 0xad, 0x74,
	0x99, 0x4a, 0x8e, 0xc1, 0xcb, 0x07, 0x86, 0x7c, 0x72, 0x53, 0x65, 0x9b, 0x82, 0x0e, 0xe5, 0xea,
	0xfd, 0x73, 0x38, 0x18, 0x61, 0x84, 0x65, 0xb6, 0x37, 0x65, 0xb6, 0xba, 0xce, 0x2c, 0xd3, 0xfd,
	0x09, 0x3c, 0xfa, 0x38, 0x9f, 0x46, 0x4c, 0x5c, 0x7d, 0x56, 0x2c, 0x4b, 0xc4, 0x92, 0x12, 0xa7,
	0xac, 0x84, 0x10, 0x68, 0x5c, 0xa5, 0x42, 0x1a, 0x8d, 0xea, 0x39, 0x8f, 0x65, 0x29, 0x97, 0xaa,
	0x4b, 0x2e, 0x55, 0xcf, 0xfe, 0x5b, 0x38, 0xfc, 0x92, 0x64, 0xff, 0x43, 0xe1, 0xbf, 0x06, 0x72,
	0xc6, 0x84, 0xd4, 0xb2, 0xc5, 0xad, 0xaf, 0x31, 0xd8, 0xcf, 0xaf, 0x69, 0x32, 0xa1, 0xb7, 0xf9,
	0x04, 0xb6, 0xd5, 0xde, 0xa9, 0xf4, 0x8a, 0xf6, 0xac, 0x96, 0x9f, 0xea, 0xe4, 0xcd, 0x71, 0xb8,
	0x25, 0xaa, 0xdf, 0x9a, 0xca, 0x28, 0xbc, 0x0b, 0x55, 0x61, 0x5f, 0xb6, 0x6e, 0xbd, 0x2f, 0xfe,
	0x1f, 0x07, 0xbc, 0xb3, 0x34, 0x0c, 0x24, 0xde, 0x6b, 0x99, 0x55, 0xb3, 0x76, 0x2d, 0xb3, 0x6e,
	0xac, 0x66, 0x3d, 0xfc, 0xdb, 0x84, 0x1d, 0x6a, 0xa8, 0xc8, 0x57, 0xd8, 0x2d, 0x1a, 0x83, 0x3c,
	0xb7, 0x89, 0xb1, 0x58, 0xa7, 0x5b, 0xa3, 0x3a, 0x07, 0x2e, 0x7a, 0xc0, 0x0e, 0x6c, 0x71, 0x49,
	0x2d, 0xf0, 0x37, 0xd8, 0x5b, 0xf3, 0x02, 0xe9, 0xdb, 0x2e, 0xd8, 0xec, 0x52, 0x0b, 0xfd, 0x13,
	0x1e, 0x94, 0x5c, 0x40, 0x5e, 0xd8, 0xae, 0xd8, 0xad, 0x52, 0x0b, 0x3f, 0x06, 0xaf, 0xb0, 0xf2,
	0xe4, 0xb1, 0x35, 0x3d, 0xff, 0xc8, 0x77, 0x9f, 0xda, 0x5e, 0x6d, 0xd8, 0xe5, 0xbb, 0xc6, 0x33,
	0x7b, 0x4d, 0x9e, 0x55, 0x5d, 0x5a, 0xb7, 0x66, 0x35, 0xf8, 0x9a, 0x41, 0xce, 0x6f, 0xda, 0x6c,
	0x06, 0x58, 0xf3, 0xb1, 0xaa, 0xad, 0xfe, 0x53, 0xa1, 0xb9, 0xf7, 0x04, 0xf9, 0x1e, 0x9a, 0xda,
	0x57, 0xb5, 0x48, 0xc7, 0xd6, 0x9a, 0x57, 0x9e, 0x9c, 0x36, 0xd5, 0xaf, 0xf7, 0xd5, 0xbf, 0x00,
	0x00, 0x00, 0xff, 0xff, 0xe0, 0x09, 0x50, 0x6c, 0x8b, 0x07, 0x00, 0x00,
}

// Reference imports to suppress errors if they are not otherwise used.
var _ context.Context
var _ grpc.ClientConn

// This is a compile-time assertion to ensure that this generated file
// is compatible with the grpc package it is being compiled against.
const _ = grpc.SupportPackageIsVersion4

// RegistryClient is the client API for Registry service.
//
// For semantics around ctx use and closing/ending streaming RPCs, please refer to https://godoc.org/google.golang.org/grpc#ClientConn.NewStream.
type RegistryClient interface {
	CreateDevice(ctx context.Context, in *CreateDeviceMessage, opts ...grpc.CallOption) (*ErrorReply, error)
	DeleteDevice(ctx context.Context, in *DeleteDeviceMessage, opts ...grpc.CallOption) (*ErrorReply, error)
	PublishServer(ctx context.Context, in *PublishServerMessage, opts ...grpc.CallOption) (*ErrorReply, error)
	UnpublishServer(ctx context.Context, in *UnpublishServerMessage, opts ...grpc.CallOption) (*ErrorReply, error)
	ListServers(ctx context.Context, in *Empty, opts ...grpc.CallOption) (*ListServersReply, error)
	ListDevices(ctx context.Context, in *ListDevicesMessage, opts ...grpc.CallOption) (*ListDevicesReply, error)
	PublishDevice(ctx context.Context, in *DeviceName, opts ...grpc.CallOption) (*ErrorReply, error)
	UnpublishDevice(ctx context.Context, in *DeviceName, opts ...grpc.CallOption) (*ErrorReply, error)
	Locate(ctx context.Context, in *DeviceName, opts ...grpc.CallOption) (*LocateReply, error)
}

type registryClient struct {
	cc *grpc.ClientConn
}

func NewRegistryClient(cc *grpc.ClientConn) RegistryClient {
	return &registryClient{cc}
}

func (c *registryClient) CreateDevice(ctx context.Context, in *CreateDeviceMessage, opts ...grpc.CallOption) (*ErrorReply, error) {
	out := new(ErrorReply)
	err := c.cc.Invoke(ctx, "/mascot_registry_pb.Registry/CreateDevice", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *registryClient) DeleteDevice(ctx context.Context, in *DeleteDeviceMessage, opts ...grpc.CallOption) (*ErrorReply, error) {
	out := new(ErrorReply)
	err := c.cc.Invoke(ctx, "/mascot_registry_pb.Registry/DeleteDevice", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *registryClient) PublishServer(ctx context.Context, in *PublishServerMessage, opts ...grpc.CallOption) (*ErrorReply, error) {
	out := new(ErrorReply)
	err := c.cc.Invoke(ctx, "/mascot_registry_pb.Registry/PublishServer", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *registryClient) UnpublishServer(ctx context.Context, in *UnpublishServerMessage, opts ...grpc.CallOption) (*ErrorReply, error) {
	out := new(ErrorReply)
	err := c.cc.Invoke(ctx, "/mascot_registry_pb.Registry/UnpublishServer", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *registryClient) ListServers(ctx context.Context, in *Empty, opts ...grpc.CallOption) (*ListServersReply, error) {
	out := new(ListServersReply)
	err := c.cc.Invoke(ctx, "/mascot_registry_pb.Registry/ListServers", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *registryClient) ListDevices(ctx context.Context, in *ListDevicesMessage, opts ...grpc.CallOption) (*ListDevicesReply, error) {
	out := new(ListDevicesReply)
	err := c.cc.Invoke(ctx, "/mascot_registry_pb.Registry/ListDevices", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *registryClient) PublishDevice(ctx context.Context, in *DeviceName, opts ...grpc.CallOption) (*ErrorReply, error) {
	out := new(ErrorReply)
	err := c.cc.Invoke(ctx, "/mascot_registry_pb.Registry/PublishDevice", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *registryClient) UnpublishDevice(ctx context.Context, in *DeviceName, opts ...grpc.CallOption) (*ErrorReply, error) {
	out := new(ErrorReply)
	err := c.cc.Invoke(ctx, "/mascot_registry_pb.Registry/UnpublishDevice", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *registryClient) Locate(ctx context.Context, in *DeviceName, opts ...grpc.CallOption) (*LocateReply, error) {
	out := new(LocateReply)
	err := c.cc.Invoke(ctx, "/mascot_registry_pb.Registry/Locate", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

// RegistryServer is the server API for Registry service.
type RegistryServer interface {
	CreateDevice(context.Context, *CreateDeviceMessage) (*ErrorReply, error)
	DeleteDevice(context.Context, *DeleteDeviceMessage) (*ErrorReply, error)
	PublishServer(context.Context, *PublishServerMessage) (*ErrorReply, error)
	UnpublishServer(context.Context, *UnpublishServerMessage) (*ErrorReply, error)
	ListServers(context.Context, *Empty) (*ListServersReply, error)
	ListDevices(context.Context, *ListDevicesMessage) (*ListDevicesReply, error)
	PublishDevice(context.Context, *DeviceName) (*ErrorReply, error)
	UnpublishDevice(context.Context, *DeviceName) (*ErrorReply, error)
	Locate(context.Context, *DeviceName) (*LocateReply, error)
}

func RegisterRegistryServer(s *grpc.Server, srv RegistryServer) {
	s.RegisterService(&_Registry_serviceDesc, srv)
}

func _Registry_CreateDevice_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(CreateDeviceMessage)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(RegistryServer).CreateDevice(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/mascot_registry_pb.Registry/CreateDevice",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(RegistryServer).CreateDevice(ctx, req.(*CreateDeviceMessage))
	}
	return interceptor(ctx, in, info, handler)
}

func _Registry_DeleteDevice_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(DeleteDeviceMessage)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(RegistryServer).DeleteDevice(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/mascot_registry_pb.Registry/DeleteDevice",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(RegistryServer).DeleteDevice(ctx, req.(*DeleteDeviceMessage))
	}
	return interceptor(ctx, in, info, handler)
}

func _Registry_PublishServer_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(PublishServerMessage)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(RegistryServer).PublishServer(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/mascot_registry_pb.Registry/PublishServer",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(RegistryServer).PublishServer(ctx, req.(*PublishServerMessage))
	}
	return interceptor(ctx, in, info, handler)
}

func _Registry_UnpublishServer_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(UnpublishServerMessage)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(RegistryServer).UnpublishServer(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/mascot_registry_pb.Registry/UnpublishServer",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(RegistryServer).UnpublishServer(ctx, req.(*UnpublishServerMessage))
	}
	return interceptor(ctx, in, info, handler)
}

func _Registry_ListServers_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(Empty)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(RegistryServer).ListServers(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/mascot_registry_pb.Registry/ListServers",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(RegistryServer).ListServers(ctx, req.(*Empty))
	}
	return interceptor(ctx, in, info, handler)
}

func _Registry_ListDevices_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(ListDevicesMessage)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(RegistryServer).ListDevices(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/mascot_registry_pb.Registry/ListDevices",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(RegistryServer).ListDevices(ctx, req.(*ListDevicesMessage))
	}
	return interceptor(ctx, in, info, handler)
}

func _Registry_PublishDevice_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(DeviceName)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(RegistryServer).PublishDevice(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/mascot_registry_pb.Registry/PublishDevice",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(RegistryServer).PublishDevice(ctx, req.(*DeviceName))
	}
	return interceptor(ctx, in, info, handler)
}

func _Registry_UnpublishDevice_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(DeviceName)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(RegistryServer).UnpublishDevice(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/mascot_registry_pb.Registry/UnpublishDevice",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(RegistryServer).UnpublishDevice(ctx, req.(*DeviceName))
	}
	return interceptor(ctx, in, info, handler)
}

func _Registry_Locate_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(DeviceName)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(RegistryServer).Locate(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/mascot_registry_pb.Registry/Locate",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(RegistryServer).Locate(ctx, req.(*DeviceName))
	}
	return interceptor(ctx, in, info, handler)
}

var _Registry_serviceDesc = grpc.ServiceDesc{
	ServiceName: "mascot_registry_pb.Registry",
	HandlerType: (*RegistryServer)(nil),
	Methods: []grpc.MethodDesc{
		{
			MethodName: "CreateDevice",
			Handler:    _Registry_CreateDevice_Handler,
		},
		{
			MethodName: "DeleteDevice",
			Handler:    _Registry_DeleteDevice_Handler,
		},
		{
			MethodName: "PublishServer",
			Handler:    _Registry_PublishServer_Handler,
		},
		{
			MethodName: "UnpublishServer",
			Handler:    _Registry_UnpublishServer_Handler,
		},
		{
			MethodName: "ListServers",
			Handler:    _Registry_ListServers_Handler,
		},
		{
			MethodName: "ListDevices",
			Handler:    _Registry_ListDevices_Handler,
		},
		{
			MethodName: "PublishDevice",
			Handler:    _Registry_PublishDevice_Handler,
		},
		{
			MethodName: "UnpublishDevice",
			Handler:    _Registry_UnpublishDevice_Handler,
		},
		{
			MethodName: "Locate",
			Handler:    _Registry_Locate_Handler,
		},
	},
	Streams:  []grpc.StreamDesc{},
	Metadata: "service.proto",
}
